Package net.md_5.bungee.config

# Class ConfigurationProvider

java.lang.Object
net.md_5.bungee.config.ConfigurationProvider

Direct Known Subclasses:
  `JsonConfiguration`, `YamlConfiguration`

public abstract class ConfigurationProvider extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConfigurationProvider`
  `getProvider(Class<? extends ConfigurationProvider> provider)`
  `abstract Configuration`
  `load(File file)`
  `abstract Configuration`
  `load(File file, Configuration defaults)`
  `abstract Configuration`
  `load(InputStream is)`
  `abstract Configuration`
  `load(InputStream is, Configuration defaults)`
  `abstract Configuration`
  `load(Reader reader)`
  `abstract Configuration`
  `load(Reader reader, Configuration defaults)`
  `abstract Configuration`
  `load(String string)`
  `abstract Configuration`
  `load(String string, Configuration defaults)`
  `abstract void`
  `save(Configuration config, File file)`
  `abstract void`
  `save(Configuration config, Writer writer)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationProvider

    public ConfigurationProvider()

- ## Method Details

  - ### getProvider

    public static ConfigurationProvider getProvider(Class<? extends ConfigurationProvider> provider)

  - ### save

    public abstract void save(Configuration config, File file) throws IOException
    Throws:
      `IOException`

  - ### save

    public abstract void save(Configuration config, Writer writer)

  - ### load

    public abstract Configuration load(File file) throws IOException
    Throws:
      `IOException`

  - ### load

    public abstract Configuration load(File file, Configuration defaults) throws IOException
    Throws:
      `IOException`

  - ### load

    public abstract Configuration load(Reader reader)

  - ### load

    public abstract Configuration load(Reader reader, Configuration defaults)

  - ### load

    public abstract Configuration load(InputStream is)

  - ### load

    public abstract Configuration load(InputStream is, Configuration defaults)

  - ### load

    public abstract Configuration load(String string)

  - ### load

    public abstract Configuration load(String string, Configuration defaults)